Index: /ComponentRegistry/trunk/ComponentRegistry/src/main/java/clarin/cmdi/componentregistry/rest/ComponentRegistryRestService.java
===================================================================
--- /ComponentRegistry/trunk/ComponentRegistry/src/main/java/clarin/cmdi/componentregistry/rest/ComponentRegistryRestService.java	(revision 5605)
+++ /ComponentRegistry/trunk/ComponentRegistry/src/main/java/clarin/cmdi/componentregistry/rest/ComponentRegistryRestService.java	(revision 5606)
@@ -1766,5 +1766,5 @@
         MediaType.APPLICATION_JSON})
     public Response transferItemOwnershipToGroup(@PathParam("itemId") String itemId,
-            @QueryParam("groupId") long groupId) throws IOException {
+            @QueryParam(GROUPID_PARAM) long groupId) throws IOException {
         Principal principal = security.getUserPrincipal();
         try {
@@ -1918,5 +1918,5 @@
     @GET
     @Path("/groups/profiles")
-    public Response listProfiles(@QueryParam("groupId") String groupId) throws IOException {
+    public Response listProfiles(@QueryParam(GROUPID_PARAM) String groupId) throws IOException {
 
         try {
@@ -1934,5 +1934,5 @@
     @GET
     @Path("/groups/components")
-    public Response listComponents(@QueryParam("groupId") String groupId) throws IOException {
+    public Response listComponents(@QueryParam(GROUPID_PARAM) String groupId) throws IOException {
 
         try {
@@ -1951,5 +1951,5 @@
     @GET
     @Path("/groups/nameById")
-    public Response getGroupNameById(@QueryParam("groupId") String groupId) throws IOException {
+    public Response getGroupNameById(@QueryParam(GROUPID_PARAM) String groupId) throws IOException {
 
         try {
Index: /ComponentRegistry/trunk/ComponentRegistry/src/main/java/clarin/cmdi/componentregistry/rest/IComponentRegistryRestService.java
===================================================================
--- /ComponentRegistry/trunk/ComponentRegistry/src/main/java/clarin/cmdi/componentregistry/rest/IComponentRegistryRestService.java	(revision 5605)
+++ /ComponentRegistry/trunk/ComponentRegistry/src/main/java/clarin/cmdi/componentregistry/rest/IComponentRegistryRestService.java	(revision 5606)
@@ -45,5 +45,5 @@
     public static final String DOMAIN_FORM_FIELD = "domainName";
     public static final String REGISTRY_SPACE_PARAM = "registrySpace";
-    public static final String GROUPID_PARAM = "groupid";
+    public static final String GROUPID_PARAM = "groupId";
     public static final String METADATA_EDITOR_PARAM = "mdEditor";
     public static final String NUMBER_OF_RSSITEMS = "limit";
Index: /ComponentRegistry/trunk/ComponentRegistry/src/test/java/clarin/cmdi/componentregistry/rest/RestGroupServiceTest.java
===================================================================
--- /ComponentRegistry/trunk/ComponentRegistry/src/test/java/clarin/cmdi/componentregistry/rest/RestGroupServiceTest.java	(revision 5605)
+++ /ComponentRegistry/trunk/ComponentRegistry/src/test/java/clarin/cmdi/componentregistry/rest/RestGroupServiceTest.java	(revision 5606)
@@ -519,25 +519,25 @@
         
         List<ProfileDescription> response = this.getAuthenticatedResource(getResource()
-                .path("/registry/profiles").queryParam("registrySpace", "group").queryParam("groupid", "1")).accept(MediaType.APPLICATION_XML)
+                .path("/registry/profiles").queryParam("registrySpace", "group").queryParam("groupId", "1")).accept(MediaType.APPLICATION_XML)
                 .get(PROFILE_LIST_GENERICTYPE);
         assertEquals(1, response.size());
         
         List<ComponentDescription> responseC = this.getAuthenticatedResource(getResource()
-                .path("/registry/components").queryParam("registrySpace", "group").queryParam("groupid", "1")).accept(MediaType.APPLICATION_XML)
+                .path("/registry/components").queryParam("registrySpace", "group").queryParam("groupId", "1")).accept(MediaType.APPLICATION_XML)
                 .get(COMPONENT_LIST_GENERICTYPE);
         assertEquals(2, responseC.size());
         
         response = this.getAuthenticatedResource(getResource()
-                .path("/registry/profiles").queryParam("registrySpace", "group").queryParam("groupid", "2")).accept(MediaType.APPLICATION_XML)
+                .path("/registry/profiles").queryParam("registrySpace", "group").queryParam("groupId", "2")).accept(MediaType.APPLICATION_XML)
                 .get(PROFILE_LIST_GENERICTYPE);
         assertEquals(1, response.size());
         
         responseC = this.getAuthenticatedResource(getResource()
-                .path("/registry/components").queryParam("registrySpace", "group").queryParam("groupid", "2")).accept(MediaType.APPLICATION_XML)
+                .path("/registry/components").queryParam("registrySpace", "group").queryParam("groupId", "2")).accept(MediaType.APPLICATION_XML)
                 .get(COMPONENT_LIST_GENERICTYPE);
         assertEquals(2, responseC.size());
         
         ClientResponse clientResponse = this.getAuthenticatedResource(getResource()
-                .path("/registry/components").queryParam("registrySpace", "group").queryParam("groupid", "3")).accept(MediaType.APPLICATION_XML)
+                .path("/registry/components").queryParam("registrySpace", "group").queryParam("groupId", "3")).accept(MediaType.APPLICATION_XML)
                 .get(ClientResponse.class);
         
@@ -700,25 +700,25 @@
         
         Rss response = this.getAuthenticatedResource(getResource()
-                .path("/registry/profiles/rss").queryParam("registrySpace", "group").queryParam("groupid", "1")).accept(MediaType.APPLICATION_XML)
+                .path("/registry/profiles/rss").queryParam("registrySpace", "group").queryParam("groupId", "1")).accept(MediaType.APPLICATION_XML)
                 .get(Rss.class);
         assertEquals(1, response.getChannel().getItem().size());
         
          response = this.getAuthenticatedResource(getResource()
-                .path("/registry/components/rss").queryParam("registrySpace", "group").queryParam("groupid", "1")).accept(MediaType.APPLICATION_XML)
+                .path("/registry/components/rss").queryParam("registrySpace", "group").queryParam("groupId", "1")).accept(MediaType.APPLICATION_XML)
                 .get(Rss.class);
         assertEquals(2, response.getChannel().getItem().size());
         
         response = this.getAuthenticatedResource(getResource()
-                .path("/registry/profiles/rss").queryParam("registrySpace", "group").queryParam("groupid", "2")).accept(MediaType.APPLICATION_XML)
+                .path("/registry/profiles/rss").queryParam("registrySpace", "group").queryParam("groupId", "2")).accept(MediaType.APPLICATION_XML)
                 .get(Rss.class);
         assertEquals(1, response.getChannel().getItem().size());
         
         response = this.getAuthenticatedResource(getResource()
-                .path("/registry/components/rss").queryParam("registrySpace", "group").queryParam("groupid", "2")).accept(MediaType.APPLICATION_XML)
+                .path("/registry/components/rss").queryParam("registrySpace", "group").queryParam("groupId", "2")).accept(MediaType.APPLICATION_XML)
                 .get(Rss.class);
         assertEquals(2, response.getChannel().getItem().size());
         
         ClientResponse clientResponse = this.getAuthenticatedResource(getResource()
-                .path("/registry/components").queryParam("registrySpace", "group").queryParam("groupid", "3")).accept(MediaType.APPLICATION_XML)
+                .path("/registry/components").queryParam("registrySpace", "group").queryParam("groupId", "3")).accept(MediaType.APPLICATION_XML)
                 .get(ClientResponse.class);
         