Index: /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/pom.xml
===================================================================
--- /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/pom.xml	(revision 5609)
+++ /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/pom.xml	(revision 5610)
@@ -82,4 +82,10 @@
             <version>${slf4j.version}</version>
         </dependency>
+        
+        <dependency>
+            <groupId>org.slf4j</groupId>
+            <artifactId>jcl-over-slf4j</artifactId>
+            <version>${slf4j.version}</version>
+        </dependency>        
 
         <dependency>
@@ -90,13 +96,7 @@
 
         <dependency>
-            <groupId>commons-codec</groupId>
-            <artifactId>commons-codec</artifactId>
-            <type>jar</type>
-        </dependency>
-
-        <dependency>
             <groupId>org.codehaus.woodstox</groupId>
             <artifactId>woodstox-core-asl</artifactId>
-            <version>4.0.8</version>
+            <version>4.0.11</version>
             <type>jar</type>
             <scope>compile</scope>
@@ -189,4 +189,11 @@
             <artifactId>clarin.webservices.pidservices2</artifactId>
             <version>2.1.0</version>
+            <exclusions>
+                <exclusion>
+                    <!-- replaced with jcl-over-slf4j -->
+                    <artifactId>commons-logging</artifactId>
+                    <groupId>commons-logging</groupId>
+                </exclusion>
+            </exclusions>
         </dependency>
 
@@ -194,6 +201,12 @@
             <groupId>org.apache.httpcomponents</groupId>
             <artifactId>httpclient</artifactId>
-            <version>4.3.4</version>
-            <type>jar</type>
+            <version>4.3.5</version>
+            <type>jar</type>
+            <exclusions>
+                <exclusion>
+                    <artifactId>commons-logging</artifactId>
+                    <groupId>commons-logging</groupId>
+                </exclusion>
+            </exclusions>
         </dependency>
         
@@ -252,5 +265,5 @@
             <groupId>mysql</groupId>
             <artifactId>mysql-connector-java</artifactId>
-            <version>5.1.13</version>
+            <version>5.1.32</version>
             <type>jar</type>
         </dependency>
@@ -260,4 +273,11 @@
             <artifactId>mpgaai-shhaa</artifactId>
             <version>1.0.5</version>
+            <exclusions>
+                <exclusion>
+                    <!-- replaced with jcl-over-slf4j -->
+                    <artifactId>commons-logging</artifactId>
+                    <groupId>commons-logging</groupId>
+                </exclusion>
+            </exclusions>
         </dependency>
 
@@ -267,4 +287,11 @@
             <version>${spring.version}</version>
             <type>jar</type>
+            <exclusions>
+                <exclusion>
+                    <!-- replaced with jcl-over-slf4j -->
+                    <artifactId>commons-logging</artifactId>
+                    <groupId>commons-logging</groupId>
+                </exclusion>
+            </exclusions>
         </dependency>
 
@@ -304,5 +331,5 @@
             <groupId>net.sf.saxon</groupId>
             <artifactId>Saxon-HE</artifactId>
-            <version>9.5.1-5</version>
+            <version>9.5.1-6</version>
             <scope>runtime</scope>
             <classifier>compressed</classifier>
@@ -333,5 +360,5 @@
             <groupId>org.hsqldb</groupId>
             <artifactId>hsqldb</artifactId>
-            <version>2.0.0</version>
+            <version>2.3.2</version>
             <type>jar</type>
             <scope>test</scope>
@@ -357,5 +384,5 @@
             <groupId>net.bull.javamelody</groupId>
             <artifactId>javamelody-core</artifactId>
-            <version>1.51.0</version>
+            <version>1.52.0</version>
             <exclusions>
                 <exclusion>
@@ -467,5 +494,5 @@
                 <groupId>org.bsc.maven</groupId>
                 <artifactId>maven-processor-plugin</artifactId>
-                <version>2.0.0</version>
+                <version>2.2.4</version>
                 <executions>
                     <execution>
@@ -514,5 +541,5 @@
                 <groupId>org.codehaus.mojo</groupId>
                 <artifactId>build-helper-maven-plugin</artifactId>
-                <version>1.3</version>
+                <version>1.9</version>
                 <executions>
                     <execution>
@@ -537,5 +564,5 @@
                 <groupId>org.apache.maven.plugins</groupId>
                 <artifactId>maven-compiler-plugin</artifactId>
-                <version>2.3.2</version>
+                <version>2.5.1</version>
                 <configuration>
                     <source>${maven.compiler.source}</source>