Index: DASISH/t5.6/schema/trunk/annotator-schema/src/main/resources/DASISH-schema.xsd
===================================================================
--- DASISH/t5.6/schema/trunk/annotator-schema/src/main/resources/DASISH-schema.xsd	(revision 5672)
+++ DASISH/t5.6/schema/trunk/annotator-schema/src/main/resources/DASISH-schema.xsd	(revision 5673)
@@ -1,3 +1,21 @@
-<?xml version="1.1" encoding="UTF-8"?>
+<?xml version="1.0" encoding="UTF-8"?>
+<!--
+Copyright (C) 2013 DASISH
+
+This program is free software; you can redistribute it and/or
+modify it under the terms of the GNU General Public License
+as published by the Free Software Foundation; either version 2
+of the License, or (at your option) any later version.
+
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU General Public License for more details.
+
+You should have received a copy of the GNU General Public License
+along with this program; if not, write to the Free Software
+Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+-->
+
 <xs:schema targetNamespace="http://www.dasish.eu/ns/addit"
            xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified"
Index: DASISH/t5.6/schema/trunk/annotator-schema/src/main/resources/Untitled1.xml
===================================================================
--- DASISH/t5.6/schema/trunk/annotator-schema/src/main/resources/Untitled1.xml	(revision 5673)
+++ DASISH/t5.6/schema/trunk/annotator-schema/src/main/resources/Untitled1.xml	(revision 5673)
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<permissionList xmlns="http://www.dasish.eu/ns/addit"
+    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+    xsi:schemaLocation="http://www.dasish.eu/ns/addit http://lux17.mpi.nl/schemacat/schemas/s16/files/DASISH-schema.xsd"
+    public="read">
+</permissionList>
+
Index: DASISH/t5.6/schema/trunk/annotator-schema/src/main/resources/annotationExample.xml
===================================================================
--- DASISH/t5.6/schema/trunk/annotator-schema/src/main/resources/annotationExample.xml	(revision 5673)
+++ DASISH/t5.6/schema/trunk/annotator-schema/src/main/resources/annotationExample.xml	(revision 5673)
@@ -0,0 +1,28 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<annotation xmlns="http://www.dasish.eu/ns/addit"
+    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+    xmlns:xhtml="http://www.w3.org/1999/xhtml/"
+    xsi:schemaLocation="http://www.dasish.eu/ns/addit 
+    http://lux17.mpi.nl/schemacat/schemas/s16/files/DASISH-schema.xsd" 
+    xml:id="tnpId"
+    href="tmp"> 
+    <ownerHref>ich</ownerHref>
+    <headline>X-Pointer test annotation</headline>
+    <lastModified>2013-09-29T19:52:28.969+02:00</lastModified>
+    <body>
+        <xmlBody>
+            <mimeType>application/xml+xhtml</mimeType>
+            <xhtml:span style="background-color:rgb(0,0,153);color:rgb(255,255,255);border: thick solid rgb(0, 0, 153);">X pointer experiment tmpTarget </xhtml:span>
+        </xmlBody>
+    </body>
+    <targets>
+        <targetInfo href="tmpTarget">
+            <link>https://developer.mozilla.org/en-US/docs/Building_an_Extension#xpointer(start-point(string-range(//h2[@id="Create_a_Chrome_Manifest"]/text()[1],'',0))/range-to(string-range(//h2[@id="Create_a_Chrome_Manifest"]/text()[1],'',24)))</link>
+            <version>1.0</version>
+        </targetInfo>      
+    </targets>
+    <permissions public="read">
+        <permission level = "write" principalHref="/annotator-backend/api/principals/00000000-0000-0000-0000-000000000112"/>
+        <permission level = "write" principalHref="/annotator-backend/api/principals/00000000-0000-0000-0000-000000000111"/>
+    </permissions>
+</annotation>
Index: DASISH/t5.6/schema/trunk/annotator-schema/src/main/resources/annotationToPut.xml
===================================================================
--- DASISH/t5.6/schema/trunk/annotator-schema/src/main/resources/annotationToPut.xml	(revision 5673)
+++ DASISH/t5.6/schema/trunk/annotator-schema/src/main/resources/annotationToPut.xml	(revision 5673)
@@ -0,0 +1,24 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<annotation xmlns="http://www.dasish.eu/ns/addit" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+    xsi:schemaLocation="http://www.dasish.eu/ns/addit http://lux17.mpi.nl/schemacat/schemas/s16/files/DASISH-schema.xsd"
+    xml:id="e76a481e-a5af-42a8-aeee-43a544487833" href="/annotator-backend/api/annotations/e76a481e-a5af-42a8-aeee-43a544487833">
+        <ownerHref>/annotator-backend/api/principals/a8a2401a-b48c-472a-b5d1-e239a95a180d</ownerHref>
+        <headline>X-Pointer test annotation</headline>
+        <lastModified>2014-06-26T13:18:28.001416Z</lastModified>
+        <body>
+            <xmlBody>
+                <mimeType>application/xml+xhtml</mimeType>
+                <xhtml:span xmlns:xhtml="http://www.w3.org/1999/xhtml/" style="background-color:rgb(0,0,153);color:rgb(255,255,255);border: thick solid rgb(0, 0, 153);">X pointer experiment UPDATE body test xxx</xhtml:span>
+            </xmlBody>
+        </body>
+        <targets>
+            <targetInfo href="/annotator-backend/api/targets/11d90377-380c-4dfd-b68e-06a68b622003">
+                <link>https://developer.mozilla.org/en-US/docs/Building_an_Extension#xpointer(start-point(string-range(//h2[@id=&quot;Create_a_Chrome_Manifest&quot;]/text()[1],'',0))/range-to(string-range(//h2[@id=&quot;Create_a_Chrome_Manifest&quot;]/text()[1],'',24)))</link>
+                <version>1.0</version>
+            </targetInfo>
+        </targets>
+        <permissions public="read">
+            <permission level="write" principalHref="/annotator-backend/api/principals/00000000-0000-0000-0000-000000000112"/>
+            <permission level="write" principalHref="/annotator-backend/api/principals/00000000-0000-0000-0000-000000000111"/>
+        </permissions>
+    </annotation>
Index: DASISH/t5.6/schema/trunk/annotator-schema/src/main/resources/cachedMetadata.xml
===================================================================
--- DASISH/t5.6/schema/trunk/annotator-schema/src/main/resources/cachedMetadata.xml	(revision 5673)
+++ DASISH/t5.6/schema/trunk/annotator-schema/src/main/resources/cachedMetadata.xml	(revision 5673)
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<cashedRepresentationInfo 
+    xmlns="http://www.dasish.eu/ns/addit"
+    xsi:schemaLocation="http://www.dasish.eu/ns/addit http://lux17.mpi.nl/schemacat/schemas/s16/files/DASISH-schema.xsd"
+    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+    xml:id="b0d3f18c-eecf-40ea-9979-eecbbdca7d68" href="/annotator-backend/api/cached/b0d3f18c-eecf-40ea-9979-eecbbdca7d68">
+    <mimeType>text/html</mimeType>
+    <tool>DWAN 2</tool>
+    <type>html</type>
+</cashedRepresentationInfo>