Index: DASISH/t5.6/backend/annotator-backend/trunk/annotator-backend/pom.xml
===================================================================
--- DASISH/t5.6/backend/annotator-backend/trunk/annotator-backend/pom.xml	(revision 5686)
+++ DASISH/t5.6/backend/annotator-backend/trunk/annotator-backend/pom.xml	(revision 5690)
@@ -192,4 +192,10 @@
     <build>
         <finalName>annotator-backend-${project.version}</finalName>
+        <resources>
+            <resource>
+                <directory>${basedir}/src/main/resources</directory>
+                <filtering>true</filtering>
+            </resource>
+        </resources>
         <testResources>
             <testResource>
@@ -229,5 +235,5 @@
                                 <include>WEB-INF/web-shib.xml</include>
                             </includes> -->
-                        </resource>
+                        </resource>                        
                     </webResources>
                 </configuration>
@@ -382,5 +388,5 @@
                 <artifactId>maven-javadoc-plugin</artifactId>
                 <version>2.9.1</version>
-            </plugin>    
+            </plugin> 
         </plugins>
     </build>      
@@ -396,4 +402,5 @@
         <project.version>1.5.2</project.version>
         <shibboleth.version>1.0.4</shibboleth.version>
+        <surefire.version>2.9</surefire.version>
     </properties>
     
Index: DASISH/t5.6/backend/annotator-backend/trunk/annotator-backend/projectinfo.properties
===================================================================
--- DASISH/t5.6/backend/annotator-backend/trunk/annotator-backend/projectinfo.properties	(revision 5690)
+++ DASISH/t5.6/backend/annotator-backend/trunk/annotator-backend/projectinfo.properties	(revision 5690)
@@ -0,0 +1,16 @@
+# Copyright (C) 2014 DASISH
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+
Index: DASISH/t5.6/backend/annotator-backend/trunk/annotator-backend/src/main/java/eu/dasish/annotation/backend/rest/ProjectInfoResource.java
===================================================================
--- DASISH/t5.6/backend/annotator-backend/trunk/annotator-backend/src/main/java/eu/dasish/annotation/backend/rest/ProjectInfoResource.java	(revision 5690)
+++ DASISH/t5.6/backend/annotator-backend/trunk/annotator-backend/src/main/java/eu/dasish/annotation/backend/rest/ProjectInfoResource.java	(revision 5690)
@@ -0,0 +1,57 @@
+/*
+ * Copyright (C) 2013 DASISH
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+package eu.dasish.annotation.backend.rest;
+
+import java.io.IOException;
+import java.util.MissingResourceException;
+import java.util.ResourceBundle;
+import javax.servlet.http.HttpServletResponse;
+import javax.ws.rs.GET;
+import javax.ws.rs.Path;
+import javax.ws.rs.Produces;
+import javax.ws.rs.core.MediaType;
+import org.springframework.stereotype.Component;
+import org.springframework.transaction.annotation.Transactional;
+
+/**
+ *
+ * @author olhsha
+ */
+@Component
+@Path("/projectinfo")
+@Transactional(rollbackFor = {Exception.class})
+public class ProjectInfoResource extends ResourceResource{
+    
+    @GET
+    @Produces(MediaType.TEXT_PLAIN)
+    @Path("version")
+    @Transactional(readOnly = true)
+    public String getAnnotation() throws IOException {
+        Number principalID = this.getPrincipalID();
+        String retVal = "?.?";
+        ResourceBundle rb;
+        try {
+            rb = ResourceBundle.getBundle("projectinfo");
+            retVal = rb.getString("application.version");
+        } catch (MissingResourceException e) {
+            httpServletResponse.sendError(HttpServletResponse.SC_NOT_FOUND, e.getMessage());
+        }
+        return "DWAN backend "+retVal; 
+    }
+    
+}
Index: DASISH/t5.6/backend/annotator-backend/trunk/annotator-backend/src/main/resources/projectinfo.properties
===================================================================
--- DASISH/t5.6/backend/annotator-backend/trunk/annotator-backend/src/main/resources/projectinfo.properties	(revision 5690)
+++ DASISH/t5.6/backend/annotator-backend/trunk/annotator-backend/src/main/resources/projectinfo.properties	(revision 5690)
@@ -0,0 +1,16 @@
+# Copyright (C) 2013 DASISH
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+application.version=${project.version}
Index: DASISH/t5.6/backend/annotator-backend/trunk/annotator-backend/src/main/webapp/index.jsp
===================================================================
--- DASISH/t5.6/backend/annotator-backend/trunk/annotator-backend/src/main/webapp/index.jsp	(revision 5686)
+++ DASISH/t5.6/backend/annotator-backend/trunk/annotator-backend/src/main/webapp/index.jsp	(revision 5690)
@@ -51,4 +51,6 @@
         <a href="updatePrincipal.html"> Update logged-in user.</a> <br> 
         <br>
+        GET <a href="api/projectinfo/version">api/projectinfo/version</a> <br> 
+        <br>
         GET <a href="api/authentication/principal">api/authentication/principal</a> <br> 
         GET <a href="api/principals/admin">api/principals/admin</a><br> 