Index: cats/ISOcat/trunk/mod-ISOcat-site/site/index.html
===================================================================
--- cats/ISOcat/trunk/mod-ISOcat-site/site/index.html	(revision 5786)
+++ cats/ISOcat/trunk/mod-ISOcat-site/site/index.html	(revision 5792)
@@ -93,5 +93,5 @@
 background="index_files/image552.png" style='margin:0'>
 <!--[if gte vml 1]><v:background id="_x0000_s3073" o:bwmode="white"
- fillcolor="#dbe1e5" o:targetscreensize="1680,912">
+ fillcolor="#dbe1e5" o:targetscreensize="1680,984">
  <v:fill focus="100%" type="gradient"/>
 </v:background><![endif]-->
@@ -964,43 +964,60 @@
   <div v:shape="_x0000_s1618" style='padding:2.85pt 2.85pt 2.85pt 2.85pt'
   class=shape>
-  <p class=MsoNormal><span lang=en-US style='font-family:Verdana;language:en-US'>ISO 12620 provides a framework for defining data categories compliant with the ISO/IEC 11179 family of standards. According to this model, each data category is assigned a unique administrative identifier, together with information on the status or decision-making process associated with the data category. In addition, data category specifications in the DCR contain linguistic descriptions, such as data category definitions, statements of associated value domains, and examples. Data category specifications can be associated with a variety of data element names and with language-specific versions of definitions, names, value domains and other attributes.</span></p>
   <p class=MsoNormal><span lang=en-US style='font-family:Verdana;language:en-US'>&nbsp;</span></p>
   <p class=prominentlink><a href="$site$interface/index.html"><span lang=en-US
   style='font-family:Verdana;text-decoration:underline;language:en-US'>Access the Data Category Registry</span></a></p>
-  <p class=MsoNormal><span lang=en-US style='font-family:Verdana;language:en-US'>&nbsp;</span></p>
-  <p class=MsoNormal><span lang=en-US style='font-family:Verdana;language:en-US'>The Registration Authority of the TC 37 DCR is the </span><a
+  <p class=MsoNormal><span lang=en-US style='font-family:Verdana;color:red;
+  language:en-US'>________________________________________________________</span></p>
+  <p class=MsoNormal style='text-align:center;text-align:center'><span
+  lang=en-US style='font-size:12.0pt;font-family:Verdana;font-variant:small-caps;
+  font-weight:bold;language:en-US'>Announcement</span></p>
+  <p class=MsoNormal><span lang=en-US style='font-family:Verdana;language:en-US'>&nbsp;</span></p>
+  <p class=MsoNormal><span lang=en-US style='font-family:Verdana;language:en-US'>Dear ISOcat user,</span></p>
+  <p class=MsoNormal><span lang=en-US style='font-family:Verdana;language:en-US'>&nbsp;</span></p>
+  <p class=MsoNormal><span lang=en-US style='font-family:Verdana;language:en-US'>The ISO TC37 Data Category Registry (DCR) was created in 2008 as one of the first ISO standards delivered in the form of a database (</span><a
+  href="http://www.isocat.org/"><span lang=en-US style='font-family:Verdana;
+  text-decoration:underline;language:en-US'>ISOcat</span></a><span lang=en-US
+  style='font-family:Verdana;language:en-US'>). The </span><a
   href="http://www.mpi.nl/"><span lang=en-US style='font-family:Verdana;
   text-decoration:underline;language:en-US'>Max Planck Institute for Psycholinguistics</span></a><span
-  lang=en-US style='font-family:Verdana;language:en-US'>, Nijmegen, The Netherlands.</span></p>
-  <p class=MsoNormal><span lang=en-US style='font-family:Verdana;language:en-US'>&nbsp;</span></p>
-  <p class=MsoNormal><span lang=en-US style='font-family:Verdana;language:en-US'>This new DCR implementation is currently </span><span
-  lang=en-US style='font-family:Verdana;font-style:italic;language:en-US'>under development</span><span
-  lang=en-US style='font-family:Verdana;language:en-US'> by the MPI in collaboration with TC 37. However, the core services should now be stable enough for day to day DCR usage. We welcome </span><span
-  lang=en-US style='font-family:Verdana;font-style:italic;language:en-US'>any feedback</span><span
-  lang=en-US style='font-family:Verdana;language:en-US'> (bug reports, feature requests, etc.). You can use the following methods to contact us:</span></p>
-  <p class=MsoNormal><span lang=en-US style='font-family:Verdana;language:en-US'>&nbsp;</span></p>
-  <p class=MsoNormal style='margin-left:18.0pt;text-indent:-18.0pt'><span
-  style='direction:ltr;unicode-bidi:embed;font-family:"Times New Roman";
-  font-size:10.0pt;language:x-none;color:black'>â</span><span style='width:
-  12.75pt'>&nbsp;</span><span lang=en-US style='font-family:Verdana;language:
-  en-US'>file a </span><a
-  href="https://sourceforge.net/tracker/?group_id=244572"><span lang=en-US
-  style='font-family:Verdana;text-decoration:underline;language:en-US'>bug report or feature request</span></a></p>
-  <p class=MsoNormal style='margin-left:18.0pt;text-indent:-18.0pt'><span
-  style='direction:ltr;unicode-bidi:embed;font-family:"Times New Roman";
-  font-size:10.0pt;language:x-none;color:black'>â</span><span style='width:
-  12.75pt'>&nbsp;</span><span lang=en-US style='font-family:Verdana;language:
-  en-US'>post a message on the </span><a href="$forum_site$"><span lang=en-US
-  style='font-family:Verdana;text-decoration:underline;language:en-US'>ISOcat forum</span></a></p>
-  <p class=MsoNormal style='margin-left:18.0pt;text-indent:-18.0pt'><span
-  style='direction:ltr;unicode-bidi:embed;font-family:"Times New Roman";
-  font-size:10.0pt;language:x-none;color:black'>â</span><span style='width:
-  12.75pt'>&nbsp;</span><span lang=en-US style='font-family:Verdana;language:
-  en-US'>send an </span><a href="mailto:$email$"><span lang=en-US
-  style='font-family:Verdana;text-decoration:underline;language:en-US'>email</span></a></p>
-  <p class=MsoNormal><span lang=en-US style='font-family:Verdana;language:en-US'>&nbsp;</span></p>
-  <p class=MsoNormal><span lang=en-US style='font-family:Verdana;language:en-US'>&nbsp;</span></p>
-  <p class=MsoNormal><span lang=en-US style='font-family:Verdana;language:en-US'>&nbsp;</span></p>
-  <p class=MsoNormal><span lang=en-US style='language:en-US'>&nbsp;</span></p>
+  lang=en-US style='font-family:Verdana;language:en-US'> (MPI) has provided development, hosting, and support services and acted as the Registration Authority (RA). </span></p>
+  <p class=MsoNormal><span lang=en-US style='font-family:Verdana;language:en-US'>&nbsp;</span></p>
+  <p class=MsoNormal><span lang=en-US style='font-family:Verdana;language:en-US'>The use of the DCR has grown over the years. Feedback from users, coupled with changes in ISO standardization procedures, necessitated a review of the current system and operational framework with an aim towards improving usability.</span></p>
+  <p class=MsoNormal><span lang=en-US style='font-family:Verdana;language:en-US'>&nbsp;</span></p>
+  <p class=MsoNormal><span lang=en-US style='font-family:Verdana;language:en-US'>In line with these insights and MPIâs renewed focus on institute research, the MPI will stop being the RA and hosting provider in December 2014. After reviewing potential replacement systems, ISO TC37 selected TermWeb, from </span><a
+  href="http://www.interverbumtech.com/"><span lang=en-US style='font-family:
+  Verdana;text-decoration:underline;language:en-US'>Interverbum Technology</span></a><span
+  lang=en-US style='font-family:Verdana;language:en-US'>, due to its support of the required data model. These new directions were discussed with the communities involved and have been taking shape since June 2013.</span></p>
+  <p class=MsoNormal><span lang=en-US style='font-family:Verdana;language:en-US'>&nbsp;</span></p>
+  <p class=MsoNormal><span lang=en-US style='font-family:Verdana;language:en-US'>For users from the </span><a
+  href="http://www.clarin.eu/"><span lang=en-US style='font-family:Verdana;
+  text-decoration:underline;language:en-US'>European CLARIN research infrastructure</span></a><span
+  lang=en-US style='font-family:Verdana;language:en-US'>, the </span><a
+  href="http://www.meertens.knaw.nl/"><span lang=en-US style='font-family:Verdana;
+  text-decoration:underline;language:en-US'>Meertens Institute</span></a><span
+  lang=en-US style='font-family:Verdana;language:en-US'> will develop and host a new registry for CLARIN relevant concepts based on the corresponding ISOcat data categories, such as those used for the </span><a
+  href="http://www.clarin.eu/cmdi/"><span lang=en-US style='font-family:Verdana;
+  text-decoration:underline;language:en-US'>Component MetaData Infrastructure</span></a><span
+  lang=en-US style='font-family:Verdana;language:en-US'> (CMDI).</span></p>
+  <p class=MsoNormal><span lang=en-US style='font-family:Verdana;language:en-US'>&nbsp;</span></p>
+  <p class=MsoNormal><span lang=en-US style='font-family:Verdana;language:en-US'>The MPI and Interverbum Technology will collaborate to ensure a smooth transition of ISOcat to these new services. We all would appreciate usersâ understanding should there be any interruptions during the transition period.</span></p>
+  <p class=MsoNormal><span lang=en-US style='font-family:Verdana;language:en-US'>&nbsp;</span></p>
+  <p class=MsoNormal><span lang=en-US style='font-family:Verdana;language:en-US'>On behalf of our users -- linguistic researchers world-wide -- ISO TC37 would like to express deep gratitude to MPI for the past six years of dedicated effort, and appreciation to Interverbum Technology for providing the new software and hosting services free of charge.</span></p>
+  <p class=MsoNormal><span lang=en-US style='font-family:Verdana;language:en-US'>&nbsp;</span></p>
+  <p class=MsoNormal><span lang=en-US style='font-family:Verdana;language:en-US'>For further information relating to the ISO TC37 DCR, contact </span><a
+  href="mailto:kara@termologic.com"><span lang=en-US style='font-family:Verdana;
+  text-decoration:underline;language:en-US'>Kara Warburton</span></a><span
+  lang=en-US style='font-family:Verdana;language:en-US'>, Chair of ISO TC37.</span></p>
+  <p class=MsoNormal><span lang=en-US style='font-family:Verdana;language:en-US'>&nbsp;</span></p>
+  <p class=MsoNormal><span lang=en-US style='font-family:Verdana;language:en-US'>For further information relating to CLARIN, contact </span><a
+  href="mailto:ineke@ccl.kuleuven.be"><span lang=en-US style='font-family:Verdana;
+  text-decoration:underline;language:en-US'>Ineke Schuurman</span></a><span
+  lang=en-US style='font-family:Verdana;language:en-US'>, CLARIN-NL ISOcat content coordinator.</span></p>
+  <p class=MsoNormal><span lang=en-US style='font-family:Verdana;language:en-US'>&nbsp;</span></p>
+  <p class=MsoNormal><span lang=en-US style='font-family:Verdana;language:en-US'>Thank you all for your support,</span></p>
+  <p class=MsoNormal><span lang=en-US style='font-family:Verdana;language:en-US'>&nbsp;</span></p>
+  <p class=MsoNormal><span lang=en-US style='font-family:Verdana;language:en-US'>The ISOcat team</span></p>
+  <p class=MsoNormal><span lang=en-US style='font-family:Verdana;color:red;
+  language:en-US'>________________________________________________________</span></p>
   </div>
   <![if !vml]></td>
Index: cats/ISOcat/trunk/mod-ISOcat-site/site/index_files/12620.html
===================================================================
--- cats/ISOcat/trunk/mod-ISOcat-site/site/index_files/12620.html	(revision 5786)
+++ cats/ISOcat/trunk/mod-ISOcat-site/site/index_files/12620.html	(revision 5792)
@@ -62,5 +62,5 @@
 style='margin:0'>
 <!--[if gte vml 1]><v:background id="_x0000_s3073" o:bwmode="white"
- fillcolor="#e0e6e6" o:targetscreensize="1680,912">
+ fillcolor="#e0e6e6" o:targetscreensize="1680,984">
  <v:fill color2="white [7]" focus="100%" type="gradient"/>
 </v:background><![endif]-->
Index: cats/ISOcat/trunk/mod-ISOcat-site/site/index_files/TDGs.html
===================================================================
--- cats/ISOcat/trunk/mod-ISOcat-site/site/index_files/TDGs.html	(revision 5786)
+++ cats/ISOcat/trunk/mod-ISOcat-site/site/index_files/TDGs.html	(revision 5792)
@@ -64,5 +64,5 @@
 <body link=blue vlink=purple bgcolor="#DAE1EB" style='margin:0'>
 
-<div style='position:absolute;width:7.-71in;height:31.-1876in'>
+<div style='position:absolute;width:7.-71in;height:31.-1750in'>
 <!--[if gte vml 1]><v:rect id="_x0000_s1516" style='position:absolute;left:234pt;
  top:231pt;width:336pt;height:336pt;z-index:69;mso-wrap-distance-left:2.88pt;
@@ -904,5 +904,5 @@
  <o:lock v:ext="edit" shapetype="t"/>
 </v:shapetype><v:shape id="_x0000_s1566" type="#_x0000_t201" style='position:absolute;
- left:175.5pt;top:175.5pt;width:525.48pt;height:2109.5pt;z-index:76;
+ left:175.5pt;top:175.5pt;width:525.48pt;height:2110.41pt;z-index:76;
  mso-wrap-distance-left:2.88pt;mso-wrap-distance-top:2.88pt;
  mso-wrap-distance-right:2.88pt;mso-wrap-distance-bottom:2.88pt' stroked="f"
@@ -922,6 +922,7 @@
 
 <table v:shapes="_x0000_s1566" cellpadding=0 cellspacing=0 width=701
- height=2813 border=0 dir=ltr style='width:525.48pt;height:2109.5pt;border-collapse:
- collapse;position:absolute;top:175.5pt;left:175.5pt;z-index:76'>
+ height=2814 border=0 dir=ltr style='width:525.48pt;height:2110.41pt;
+ border-collapse:collapse;position:absolute;top:175.5pt;left:175.5pt;
+ z-index:76'>
  <tr>
   <td width=102 height=26 bgcolor=black style='width:76.5pt;height:19.5pt;
@@ -1386,6 +1387,6 @@
  </tr>
  <tr>
-  <td width=701 height=34 colspan=3 bgcolor="#E0E6E6" style='width:525.48pt;
-  height:25.339pt;padding-left:1.5pt;padding-right:1.5pt;padding-top:1.5pt;
+  <td width=701 height=35 colspan=3 bgcolor="#E0E6E6" style='width:525.48pt;
+  height:26.2479pt;padding-left:1.5pt;padding-right:1.5pt;padding-top:1.5pt;
   padding-bottom:1.5pt;background:#E0E6E6;border-left:solid black 6.0pt;
   border-top:solid black .25pt;border-right:solid black 2.0pt;border-bottom:
@@ -1420,5 +1421,5 @@
  </tr>
  <tr>
-  <td width=701 height=65 colspan=3 bgcolor="#E0E6E6" style='width:525.48pt;
+  <td width=701 height=66 colspan=3 bgcolor="#E0E6E6" style='width:525.48pt;
   height:49.2459pt;padding-left:1.5pt;padding-right:1.5pt;padding-top:1.5pt;
   padding-bottom:1.5pt;background:#E0E6E6;border-left:solid black 6.0pt;
@@ -1454,5 +1455,5 @@
  </tr>
  <tr>
-  <td width=701 height=254 colspan=3 bgcolor="#E0E6E6" style='width:525.48pt;
+  <td width=701 height=253 colspan=3 bgcolor="#E0E6E6" style='width:525.48pt;
   height:190.3437pt;padding-left:1.5pt;padding-right:1.5pt;padding-top:1.5pt;
   padding-bottom:1.5pt;background:#E0E6E6;border-left:solid black 6.0pt;
Index: cats/ISOcat/trunk/mod-ISOcat-site/site/index_files/feedback.html
===================================================================
--- cats/ISOcat/trunk/mod-ISOcat-site/site/index_files/feedback.html	(revision 5786)
+++ cats/ISOcat/trunk/mod-ISOcat-site/site/index_files/feedback.html	(revision 5792)
@@ -65,5 +65,5 @@
 style='margin:0'>
 <!--[if gte vml 1]><v:background id="_x0000_s3073" o:bwmode="white"
- fillcolor="#dbe1e5" o:targetscreensize="1680,912">
+ fillcolor="#dbe1e5" o:targetscreensize="1680,984">
  <v:fill focus="100%" type="gradient"/>
 </v:background><![endif]-->
Index: cats/ISOcat/trunk/mod-ISOcat-site/site/index_files/issues.html
===================================================================
--- cats/ISOcat/trunk/mod-ISOcat-site/site/index_files/issues.html	(revision 5786)
+++ cats/ISOcat/trunk/mod-ISOcat-site/site/index_files/issues.html	(revision 5792)
@@ -62,5 +62,5 @@
 style='margin:0'>
 <!--[if gte vml 1]><v:background id="_x0000_s3073" o:bwmode="white"
- fillcolor="#dbe1e5" o:targetscreensize="1680,912">
+ fillcolor="#dbe1e5" o:targetscreensize="1680,984">
  <v:fill focus="100%" type="gradient"/>
 </v:background><![endif]-->
Index: cats/ISOcat/trunk/mod-ISOcat-site/site/index_files/manual.html
===================================================================
--- cats/ISOcat/trunk/mod-ISOcat-site/site/index_files/manual.html	(revision 5786)
+++ cats/ISOcat/trunk/mod-ISOcat-site/site/index_files/manual.html	(revision 5792)
@@ -62,5 +62,5 @@
 style='margin:0'>
 <!--[if gte vml 1]><v:background id="_x0000_s3073" o:bwmode="white"
- fillcolor="#dbe1e5" o:targetscreensize="1680,912">
+ fillcolor="#dbe1e5" o:targetscreensize="1680,984">
  <v:fill focus="100%" type="gradient"/>
 </v:background><![endif]-->